Mangools/API

Get all lists

Get all keyword lists saved on your account. Each list returns its id, name and the ids of the keywords it contains. Use GET /kwfinder/lists/{list_id} to load the full keyword data for a specific list.

GET
/kwfinder/lists

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Response Body

application/json

application/json

curl -X GET "https://api.mangools.com/v3/kwfinder/lists"
[
  {
    "_id": "6a29390c4c966b1271aef0d2",
    "name": "My Awesome Keyword List",
    "user_id": "005de7e7771450763339653e918778ef",
    "keyword_ids": [
      "005de7e7771450763339653e918778ef",
      "005de7e7771450763339653e918778ef"
    ],
    "created_at": 1590868935000,
    "updated_at": 1590868935000,
    "creator": "005de7e7771450763339653e918778ef",
    "__v": 0
  }
]
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}